Loading...
Searching...
No Matches
BALL::TriangleEdge Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/triangleEdge.h>`

Inheritance diagram for BALL::TriangleEdge:

## Public Member Functions

Constructors and Destructors
| TriangleEdge ()
| TriangleEdge (TrianglePoint *v1, TrianglePoint *v2)
| TriangleEdge (const TriangleEdge &edge, bool deep=false)
virtual | ~TriangleEdge ()
Accessors
void | setPoint (Position i, TrianglePoint *point)
TrianglePoint * | getPoint (Position i) const
void | setTriangle (Position i, Triangle *triangle)
Triangle * | getTriangle (Position i) const
Predicates
virtual bool | operator== (const TriangleEdge &) const
virtual bool | operator!= (const TriangleEdge &) const
virtual bool | operator*= (const TriangleEdge &) const
Public Member Functions inherited from BALL::GraphEdge< TrianglePoint, TriangleEdge, Triangle >
| GraphEdge ()
virtual | ~GraphEdge ()
void | set (const GraphEdge< TrianglePoint, TriangleEdge, Triangle > &edge, bool deep=false)
GraphEdge< TrianglePoint, TriangleEdge, Triangle > & | operator= (const GraphEdge< TrianglePoint, TriangleEdge, Triangle > &edge)
void | setVertex (Position i, TrianglePoint *vertex)
TrianglePoint * | getVertex (Position i) const
void | setFace (Position i, Triangle *face)
Triangle * | getFace (Position i) const
void | setIndex (Index index)
Index | getIndex () const
TrianglePoint * | other (const TrianglePoint *vertex) const
bool | substitute (const TrianglePoint *old_vertex, TrianglePoint *new_vertex)
Triangle * | remove (const Triangle *face)
void | revert ()

## Friends

Class friends

- class Triangle
- class TriangleEdge
- class TriangulatedSurface
- class TriangulatedSphere
- class TriangulatedSES
- class TriangulatedSAS
- class SESTriangulator
- class SASTriangulator

class | Triangle
class | TrianglePoint
class | TriangulatedSurface
class | TriangulatedSphere
class | TriangulatedSES
class | TriangulatedSAS
class | SESTriangulator
class | SASTriangulator
Friends inherited from BALL::GraphEdge< TrianglePoint, TriangleEdge, Triangle >

## Additional Inherited Members

TrianglePoint * | vertex_ [2]
Triangle * | face_ [2]
Index | index_

## Detailed Description

Generic TriangleEdge Class.

Definition at line 37 of file triangleEdge.h.

## Constructor & Destructor Documentation

## TriangleEdge() [1/3]

BALL::TriangleEdge::TriangleEdge | ( |  | ) |

Default constructor. This method creates a new TriangleEdge object.

## TriangleEdge() [2/3]

BALL::TriangleEdge::TriangleEdge | ( | TrianglePoint * | v1,
|  | TrianglePoint * | v2 )

Detailed constructor. Creates a new TriangleEdge object connecting the passed TrianglePoint instances.

## TriangleEdge() [3/3]

BALL::TriangleEdge::TriangleEdge | ( | const TriangleEdge & | edge,
|  | bool | deep = false )

Copy constructor. Create a new TriangleEdge object from another.

Parameters

  edge | the TriangleEdge object to be copied
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new TriangleEdge object is linked to the neighbours of the old TriangleEdge object.

## ~TriangleEdge()

virtual BALL::TriangleEdge::~TriangleEdge | ( |  | ) |

virtual

Destructor. Destructs the TriangleEdge object.

## Member Function Documentation

## getPoint()

TrianglePoint * BALL::TriangleEdge::getPoint | ( | Position | i | ) | const

Return one of the two points of the TriangleEdge.

Parameters

  i |

Returns
  TrianglePoint* a pointer to the first point if i = 0,
  a pointer to the second point otherwise

## getTriangle()

Triangle * BALL::TriangleEdge::getTriangle | ( | Position | i | ) | const

Return one of the two triangles of the TriangleEdge.

Parameters

  i |

Returns
  Triangle* a pointer to the first triangle if i = 0, a pointer to the second triangle otherwise

## operator!=()

virtual bool BALL::TriangleEdge::operator!= | ( | const TriangleEdge & |  | ) | const

virtual

Inequality operator

Returns
  bool false if the vertices are similar, true otherwise.

Reimplemented from BALL::GraphEdge< TrianglePoint, TriangleEdge, Triangle >.

## operator*=()

virtual bool BALL::TriangleEdge::operator*= | ( | const TriangleEdge & |  | ) | const

virtual

Similarity operator

Returns
  bool true

Reimplemented from BALL::GraphEdge< TrianglePoint, TriangleEdge, Triangle >.

## operator==()

virtual bool BALL::TriangleEdge::operator== | ( | const TriangleEdge & |  | ) | const

virtual

Equality operator

Returns
  bool true if the vertices are similar,
  false otherwise.

Reimplemented from BALL::GraphEdge< TrianglePoint, TriangleEdge, Triangle >.

## setPoint()

void BALL::TriangleEdge::setPoint | ( | Position | i,
|  | TrianglePoint * | point )

Set one of the two points of the TriangleEdge.

Parameters

  i | the first point is changed if i = 0, the second otherwise
  point | a pointer to the new point

## setTriangle()

void BALL::TriangleEdge::setTriangle | ( | Position | i,
|  | Triangle * | triangle )

Set one of the two triangles of the TriangleEdge.

Parameters

  i | change the first triangle, if i = 0, the second otherwise
  triangle | a pointer to the new triangle

## Friends And Related Symbol Documentation

## SASTriangulator

friend class SASTriangulator

friend

Definition at line 62 of file triangleEdge.h.

## SESTriangulator

friend class SESTriangulator

friend

Definition at line 61 of file triangleEdge.h.

## Triangle

friend class Triangle

friend

Definition at line 55 of file triangleEdge.h.

## TrianglePoint

friend class TrianglePoint

friend

Definition at line 56 of file triangleEdge.h.

## TriangulatedSAS

friend class TriangulatedSAS

friend

Definition at line 60 of file triangleEdge.h.

## TriangulatedSES

friend class TriangulatedSES

friend

Definition at line 59 of file triangleEdge.h.

## TriangulatedSphere

friend class TriangulatedSphere

friend

Definition at line 58 of file triangleEdge.h.

## TriangulatedSurface

friend class TriangulatedSurface

friend

Definition at line 57 of file triangleEdge.h.